Skip to content

getTimeCardEntries

READ

Get time card entries.

POST /api/v1/people/getTimeCardEntries
curl -X POST '<your-host>/api/v1/people/getTimeCardEntries' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "employeeId": "string"
  }'
Response
{
  "results": [
    {
      "autoCloseShiftId": "string",
      "clockIn": "string",
      "clockOut": "string",
      "companyId": "string",
      "createdAt": "string",
      "createdBy": "string",
      "drivingSeconds": 0,
      "employeeId": "string",
      "id": "string",
      "milesDriven": 0,
      "note": "string",
      "updatedAt": "string",
      "updatedBy": "string",
      "vehicleId": "string"
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "employeeId": {
      "type": "string"
    },
    "from": {
      "type": "string"
    },
    "to": {
      "type": "string"
    }
  },
  "required": [
    "employeeId"
  ]
}